#ifndef Vacuometro_h
#define Vacuometro_h

#include <inttypes.h>

class Vacuometro_Class
{
  private:
    uint8_t Vacu_step;
    uint8_t Vacu_payload_counter;
    int32_t Bytes2Long(unsigned char Buffer[]);
    float Bytes2Float(unsigned char Buffer[]);
    uint8_t Vacu_buffer[4];
	union long_union
	{
		int32_t dword;
		uint8_t  byte[4];
    }
    longUnion;
    union float_union
    {
        float value;
        uint8_t byte[4];
    }floatUnion;

    float_union ASend;
    float_union BSend;
    float_union CSend;
    float_union DSend;
    float_union TSend;

  public:
    // Methods
    Vacuometro_Class();
	virtual void Init(void);
	virtual uint8_t Read(void);
	virtual void End(void);
    void SparaDati(void);
    void SendDati(float* , float* , float* , float* , float*);
     float Media;
     float Alpha;
     float TTT;

};

extern Vacuometro_Class VAC;

#endif
